<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use phpDocumentor\Reflection\Types\Integer;

trait SortableTrait
{
        /**
         * @var string
         * @ORM\Column(type="float")
         */
        protected $position = 0;

        /**
         * @return float
         */
        public function getPosition(): float
        {
                return $this->position;
        }

        /**
         * @param float $position
         * @return $this
         */
        public function setPosition(float $position): self
        {
                $this->position = $position;
                return $this;
        }
}
